package com.brilliance.isc.swift.objmtconvert.model.mt1xx.tag.tag103R;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt1xx.MT103REMITCreator;

public class Tag36Creator extends AbsTagCreate {
    private MT103REMITCreator mt103RemitCreator;

    public Tag36Creator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        mt103RemitCreator = (MT103REMITCreator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag36Value = mt103RemitCreator.getExchangeRate();
        mt103RemitCreator.set("36", tag36Value);
    }
}
